%global		_source_filedigest_algorithm md5
%{!?_httpd_moddir:    %{expand: %%global _httpd_moddir    %%{_libdir}/httpd/modules}}
%{!?_httpd_modconfdir: %{expand: %%global _httpd_modconfdir %%{_sysconfdir}/httpd/conf.d}}

Name:		mod_oom
Version:	0
Release:	1%{?dist}
Summary:	A dummy package

Group:		NONE
License:	GPLv3+
URL:		http://example.com/

BuildRequires:	gcc
BuildRequires:	httpd-devel

%if 0%{?rhel} && 0%{?rhel} <= 5
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%endif
Source0:	mod_oom.c

%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

%description
Description for the %name package that is used for various testing tasks.


%prep
cp %SOURCE0 ./

%build
apxs -ca mod_oom.c
find
cat > mod_oom.conf <<EOF
#LoadModule oom_module modules/mod_oom.so
#<Location /oom>
#  SetHandler oom
#</Location>
EOF


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_httpd_moddir} $RPM_BUILD_ROOT%{_httpd_modconfdir}
cp ./.libs/mod_oom.so $RPM_BUILD_ROOT%{_httpd_moddir}
cp mod_oom.conf $RPM_BUILD_ROOT%{_httpd_modconfdir}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%{_httpd_moddir}/*.so
%{_httpd_modconfdir}/*.conf


%changelog
* Thu Jun 05 2014 Pavel Raiskup <praiskup@redhat.com> - 0-1
- no info, sorry
